Package org.apache.tapestry5.beanmodel.internal.antlr

## Class PropertyExpressionLexer

- java.lang.Object
- - org.antlr.runtime.BaseRecognizer
  - - org.antlr.runtime.Lexer
    - - org.apache.tapestry5.beanmodel.internal.antlr.BaseLexer
      - - org.apache.tapestry5.beanmodel.internal.antlr.PropertyExpressionLexer

- All Implemented Interfaces:
    `org.antlr.runtime.TokenSource`

      public class PropertyExpressionLexer
      extends BaseLexer

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `A` |
    `static int` | `BANG` |
    `static int` | `COLON` |
    `static int` | `COMMA` |
    `static int` | `DECIMAL` |
    `static int` | `DEREF` |
    `static int` | `DIGIT` |
    `static int` | `E` |
    `static int` | `EOF` |
    `static int` | `F` |
    `static int` | `FALSE` |
    `static int` | `H` |
    `static int` | `I` |
    `static int` | `IDENTIFIER` |
    `static int` | `INTEGER` |
    `static int` | `JAVA_ID_PART` |
    `static int` | `JAVA_ID_START` |
    `static int` | `L` |
    `static int` | `LBRACE` |
    `static int` | `LBRACKET` |
    `static int` | `LETTER` |
    `static int` | `LPAREN` |
    `static int` | `N` |
    `static int` | `NULL` |
    `static int` | `NUMBER_OR_RANGEOP` |
    `static int` | `QUOTE` |
    `static int` | `R` |
    `static int` | `RANGEOP` |
    `static int` | `RBRACE` |
    `static int` | `RBRACKET` |
    `static int` | `RPAREN` |
    `static int` | `S` |
    `static int` | `SAFEDEREF` |
    `static int` | `SIGN` |
    `static int` | `STRING` |
    `static int` | `T` |
    `static int` | `THIS` |
    `static int` | `TRUE` |
    `static int` | `U` |
    `static int` | `WS` |

    - ### Fields inherited from class org.antlr.runtime.Lexer

      `input`

    - ### Fields inherited from class org.antlr.runtime.BaseRecognizer

      `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyExpressionLexer()` |
    `PropertyExpressionLexer​(org.antlr.runtime.CharStream input)` |
    `PropertyExpressionLexer​(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BaseLexer[]` | `getDelegates()` |
    `java.lang.String` | `getGrammarFileName()` |
    `void` | `mA()` |
    `void` | `mBANG()` |
    `void` | `mCOLON()` |
    `void` | `mCOMMA()` |
    `void` | `mDECIMAL()` |
    `void` | `mDEREF()` |
    `void` | `mDIGIT()` |
    `void` | `mE()` |
    `void` | `mF()` |
    `void` | `mFALSE()` |
    `void` | `mH()` |
    `void` | `mI()` |
    `void` | `mIDENTIFIER()` |
    `void` | `mINTEGER()` |
    `void` | `mJAVA_ID_PART()` |
    `void` | `mJAVA_ID_START()` |
    `void` | `mL()` |
    `void` | `mLBRACE()` |
    `void` | `mLBRACKET()` |
    `void` | `mLETTER()` |
    `void` | `mLPAREN()` |
    `void` | `mN()` |
    `void` | `mNULL()` |
    `void` | `mNUMBER_OR_RANGEOP()` |
    `void` | `mQUOTE()` |
    `void` | `mR()` |
    `void` | `mRANGEOP()` |
    `void` | `mRBRACE()` |
    `void` | `mRBRACKET()` |
    `void` | `mRPAREN()` |
    `void` | `mS()` |
    `void` | `mSAFEDEREF()` |
    `void` | `mSIGN()` |
    `void` | `mSTRING()` |
    `void` | `mT()` |
    `void` | `mTHIS()` |
    `void` | `mTokens()` |
    `void` | `mTRUE()` |
    `void` | `mU()` |
    `void` | `mWS()` |

    - ### Methods inherited from class org.apache.tapestry5.beanmodel.internal.antlr.BaseLexer

      `reportError, stripLeadingPlus`

    - ### Methods inherited from class org.antlr.runtime.Lexer

      `emit, emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getEOFToken, getErrorMessage, getLine, getSourceName, getText, match, match, matchAny, matchRange, nextToken, recover, reset, setCharStream, setText, skip, traceIn, traceOut`

    - ### Methods inherited from class org.antlr.runtime.BaseRecognizer

      `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, emitErrorMessage, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getErrorHeader, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EOF

          public static final int EOF

      See Also:
        Constant Field Values

    - #### A

          public static final int A

      See Also:
        Constant Field Values

    - #### BANG

          public static final int BANG

      See Also:
        Constant Field Values

    - #### COLON

          public static final int COLON

      See Also:
        Constant Field Values

    - #### COMMA

          public static final int COMMA

      See Also:
        Constant Field Values

    - #### DECIMAL

          public static final int DECIMAL

      See Also:
        Constant Field Values

    - #### DEREF

          public static final int DEREF

      See Also:
        Constant Field Values

    - #### DIGIT

          public static final int DIGIT

      See Also:
        Constant Field Values

    - #### E

          public static final int E

      See Also:
        Constant Field Values

    - #### F

          public static final int F

      See Also:
        Constant Field Values

    - #### FALSE

          public static final int FALSE

      See Also:
        Constant Field Values

    - #### H

          public static final int H

      See Also:
        Constant Field Values

    - #### I

          public static final int I

      See Also:
        Constant Field Values

    - #### IDENTIFIER

          public static final int IDENTIFIER

      See Also:
        Constant Field Values

    - #### INTEGER

          public static final int INTEGER

      See Also:
        Constant Field Values

    - #### JAVA_ID_PART

          public static final int JAVA_ID_PART

      See Also:
        Constant Field Values

    - #### JAVA_ID_START

          public static final int JAVA_ID_START

      See Also:
        Constant Field Values

    - #### L

          public static final int L

      See Also:
        Constant Field Values

    - #### LBRACE

          public static final int LBRACE

      See Also:
        Constant Field Values

    - #### LBRACKET

          public static final int LBRACKET

      See Also:
        Constant Field Values

    - #### LETTER

          public static final int LETTER

      See Also:
        Constant Field Values

    - #### LPAREN

          public static final int LPAREN

      See Also:
        Constant Field Values

    - #### N

          public static final int N

      See Also:
        Constant Field Values

    - #### NULL

          public static final int NULL

      See Also:
        Constant Field Values

    - #### NUMBER_OR_RANGEOP

          public static final int NUMBER_OR_RANGEOP

      See Also:
        Constant Field Values

    - #### QUOTE

          public static final int QUOTE

      See Also:
        Constant Field Values

    - #### R

          public static final int R

      See Also:
        Constant Field Values

    - #### RANGEOP

          public static final int RANGEOP

      See Also:
        Constant Field Values

    - #### RBRACE

          public static final int RBRACE

      See Also:
        Constant Field Values

    - #### RBRACKET

          public static final int RBRACKET

      See Also:
        Constant Field Values

    - #### RPAREN

          public static final int RPAREN

      See Also:
        Constant Field Values

    - #### S

          public static final int S

      See Also:
        Constant Field Values

    - #### SAFEDEREF

          public static final int SAFEDEREF

      See Also:
        Constant Field Values

    - #### SIGN

          public static final int SIGN

      See Also:
        Constant Field Values

    - #### STRING

          public static final int STRING

      See Also:
        Constant Field Values

    - #### T

          public static final int T

      See Also:
        Constant Field Values

    - #### THIS

          public static final int THIS

      See Also:
        Constant Field Values

    - #### TRUE

          public static final int TRUE

      See Also:
        Constant Field Values

    - #### U

          public static final int U

      See Also:
        Constant Field Values

    - #### WS

          public static final int WS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PropertyExpressionLexer

          public PropertyExpressionLexer()

    - #### PropertyExpressionLexer

          public PropertyExpressionLexer​(org.antlr.runtime.CharStream input)

    - #### PropertyExpressionLexer

          public PropertyExpressionLexer​(org.antlr.runtime.CharStream input,
                                         org.antlr.runtime.RecognizerSharedState state)

  - ### Method Detail

    - #### getDelegates

          public BaseLexer[] getDelegates()

    - #### getGrammarFileName

          public java.lang.String getGrammarFileName()

      Overrides:
        `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

    - #### mINTEGER

          public final void mINTEGER()
                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mDEREF

          public final void mDEREF()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRANGEOP

          public final void mRANGEOP()
                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mDECIMAL

          public final void mDECIMAL()
                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mLETTER

          public final void mLETTER()
                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mDIGIT

          public final void mDIGIT()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mSIGN

          public final void mSIGN()
                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mLPAREN

          public final void mLPAREN()
                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRPAREN

          public final void mRPAREN()
                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mLBRACKET

          public final void mLBRACKET()
                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRBRACKET

          public final void mRBRACKET()
                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mCOMMA

          public final void mCOMMA()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mBANG

          public final void mBANG()
                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mLBRACE

          public final void mLBRACE()
                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRBRACE

          public final void mRBRACE()
                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mCOLON

          public final void mCOLON()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mQUOTE

          public final void mQUOTE()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mA

          public final void mA()
                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mE

          public final void mE()
                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mF

          public final void mF()
                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mH

          public final void mH()
                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mI

          public final void mI()
                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mL

          public final void mL()
                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mN

          public final void mN()
                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mR

          public final void mR()
                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mS

          public final void mS()
                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT

          public final void mT()
                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mU

          public final void mU()
                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mNULL

          public final void mNULL()
                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mTRUE

          public final void mTRUE()
                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mFALSE

          public final void mFALSE()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mTHIS

          public final void mTHIS()
                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mIDENTIFIER

          public final void mIDENTIFIER()
                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mJAVA_ID_START

          public final void mJAVA_ID_START()
                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mJAVA_ID_PART

          public final void mJAVA_ID_PART()
                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mSAFEDEREF

          public final void mSAFEDEREF()
                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mWS

          public final void mWS()
                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mSTRING

          public final void mSTRING()
                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mNUMBER_OR_RANGEOP

          public final void mNUMBER_OR_RANGEOP()
                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mTokens

          public void mTokens()
                       throws org.antlr.runtime.RecognitionException

      Specified by:
        `mTokens` in class `org.antlr.runtime.Lexer`
      Throws:
        `org.antlr.runtime.RecognitionException`